Subject: Re: bug#29726: 25.1; SIGSEGV in find-file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2017 22:48:05 +0200

> From: Marc Munro <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Dec 2017 12:31:00 -0800
> 
> > Can you point me to the part of your code which causes the
> > completions
> > to appear in a separate frame?
> 
> Yep, it's in k-frame.el
> 
> k-frame::display-buffer-actor is the controller for this.  It is set up
> to take control from display-buffer by setting:
>   display-buffer-overriding-action
> 
> Its job is to find the best window for displaying a buffer, mostly
> without splitting windows.  When it displays a buffer it highlights the
> window and allows the user to choose an alternative window if they
> don't like it (through F5).  That's the theory anyway.
> 
> The first (unless... in that function is a, disabled, hack that enables
> a work-around for the crash by treating completions buffers as special
> and doing nothing.  The hack is currently disabled by the (and nil
> ....) expression.

OK, but your recipe says "completion frame appears", so somewhere a
new frame should be popped up.  Can you point me to the code which
does that in your case?  What's the display-buffer-overriding-action's
value in your case?

Also, why does the debug message says the buffer is *Backtrace* in my
case?  Does the same happen for you?  *Backtrace* is the buffer where
Emacs shows backtrace from Lisp errors, so perhaps something causes an
error in my case?